After reformat itunes says I need an upgrade?

Discussion in 'Mac Apps and Mac App Store' started by oo5yolo10, Nov 17, 2007.

  1. oo5yolo10 macrumors member

    oo5yolo10

    Joined:
    Jan 2, 2006
    #1
    I just picked up a powerbook, used the same install disks as my imac to install tiger. I tried to open itunes and it said I needed to upgrade and need mac 10.4.7. I tried installing the new itunes from the apple site and it wouldn't finish without getting an error. This makes no sense? does is?
     
  2. mad jew Moderator emeritus

    mad jew

    Joined:
    Apr 3, 2004
    Location:
    Adelaide, Australia
    #2
    You may need to upgrade your OS before you upgrade iTunes. Have you run Software Update? Also, I hope you weren't using the installation discs that came with your iMac on the PowerBook since that violates the EULA.
     
  3. oo5yolo10 thread starter macrumors member

    oo5yolo10

    Joined:
    Jan 2, 2006
    #3
    They were tiger disks, and yeah when I put in the Tiger disks, it automatically did the software update and it updated it to the 7.5 version of itunes. And by upgrading my OS does that mean I have to get leopard? I am confused
     
  4. mad jew Moderator emeritus

    mad jew

    Joined:
    Apr 3, 2004
    Location:
    Adelaide, Australia
    #4
    So you're all up to date now? Is there still a problem?
     
  5. oo5yolo10 thread starter macrumors member

    oo5yolo10

    Joined:
    Jan 2, 2006
    #5
    Yeah, this all happened after I did the software update
     
  6. mad jew Moderator emeritus

    mad jew

    Joined:
    Apr 3, 2004
    Location:
    Adelaide, Australia
    #6
    Sorry mate, I'm utterly confused. Does it say 10.4.11 in the About This Mac window (from the Apple menu)? Is the problem that it didn't update, or is the problem that it thinks it didn't update?
     

Share This Page